import { zgSingleton } from "../zgSingleton";
import ATSDKMgr from "./ATSDKMgr";

/**
 * banner广告
 * @description
 * @author 冯聪
 */
export default class ATBanner extends zgSingleton {

    init() {
        cc["ATNativeJS"].proxy = this;;
        cc["ATNativeJS"].init();
        this.loadBanner();
    }

    /** 广告位id */
    placementID() {
        if (cc.sys.os === cc.sys.OS_IOS) {
            return ATSDKMgr.topon_banner_placementId;
        } else if (cc.sys.os === cc.sys.OS_ANDROID) {
            return ATSDKMgr.topon_banner_placementId;
        }
    }

    /* *加载banner */
    loadBanner() {
        cc["ATNativeJS"].loadBanner();
    }
    
    /** 显示banner */
    showBanner() {
        cc["ATNativeJS"].showBanner();
    }

    destroyBanner() {
        cc["ATNativeJS"].destroyBanner()
    }
}
